Xcode 4.3 requires 2011 XE Update 10 or later of Intel compilers

Xcode 4.3 requires 2011 XE Update 10 or later of Intel compilers

Steve Lionel (Intel)'s picture

Apple released Xcode 4.3 with significant changes in directory layout and more. Intel compilers will not install properly into Xcode 4.3. We are evaluating this and looking to see what changes we need to make in order to support Xcode 4.3.

Please remain with Xcode 4.2 for now if you are using Intel compilers.

Steve
13 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Any news regarding the xcode 4.3?

Steve Lionel (Intel)'s picture

When we have news we will announce it here. At the very least you would need to wait until the next update to the product, which isn't scheduled until April. I am not promising it will work then. Please continue to use 4.2.

Steve

Hi all,

Have a look at this post if you'd like not to (or can't) wait until April for Xcode4.3 to have Intel fortran compiler support.

http://software.intel.com/en-us/forums/showpost.php?p=177120

Mark

Steve,I have tried to install intel fortran 11.1.09 on a Mac OSX 10.7.3, Lion.Xcode is just installed, version 4.2.1, but when I try to instal th efortran it does NOT find the xcode (the same error as in the xcode4.3 case).Any suggestion?Thank you,Luisa

Steve Lionel (Intel)'s picture

Luisa,

Intel Fortran 11.1 does not support that combination. You need a recent Composer XE 2011 update for that, such as the current Update 9.

Steve

The procedure for getting this to work is described in my post earlier in this thread. Follow the link there. --Mark

Perhaps I'm missing something but the install instructions for the GNU compilers seem much more involved than Hajo's solution that I've adapted. Of course, to each his own...

It was disappointing for me, as well, discovering that Intel+Xcode4.3 wasn't working out of the box. And there doesn't seem to be any progress in this direction.

Incidentally, the GNU compilers worked (without syntax highlighting, of course) for me out-of-the-box with Xcode4.3.

Steve Lionel (Intel)'s picture

The current compiler was released before Xcode 4.3, and Apple, as they often do, made incompatible changes, going against their own advice to us earlier for how integration should work. Apple doesn't give us sufficient advanced notice of these changes so you should expect similar situations in the future when Apple updates Xcode. Since Apple builds its own gcc, it's no surprise that it works. By the way, Apple is switching away from gcc in the future and I expect, eventually, that they will stop providing gcc with Xcode.

Update 10, which should be available later this week, will support Xcode 4.3.

Steve
Steve Lionel (Intel)'s picture

Update 10 is now available from the Intel Registration Center. This adds support for Xcode 4.3.

Steve

Thanks for the update, Steve.

Apologies for the individual nature of this post -- but I'm having problems accessing the IRC and Premier Support sites. I wrote to quadsupport@mailbox.intel.com but have not yet had a response for about 24 hours now.

Mark

Steve Lionel (Intel)'s picture

Better to ask in the Downloads, Registration and Licensing forum. Also, I seem to have been premature about announcing update 10 for Mac. I don't think it is live yet, but should be within a day or so.

Steve

Login to leave a comment.